List all nodes with filtering and pagination

Returns a paginated list of nodes with optional filtering by name, type, and inventory.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

pagedoubleOptionalDefaults to 1
Page number, used when skip is not provided
pageSizedoubleOptionalDefaults to 25

Number of items to return (page size)

skipdoubleOptional

Number of items to skip (takes precedence over page-based calculation)

sortFieldstringOptional

Field to sort by (optional, uses natural order if not provided)

sortOrderdoubleOptionalDefaults to 1

Sort order: 1 for ascending, -1 for descending

searchstringOptional
search
inventory_identifierstring or list of stringsOptional
Filter by specific inventory or inventories
typeslist of stringsOptional
types
tagslist of stringsOptional
tags

Response

Paginated list of nodes
statusstring
resultobject
errorstring

Errors

500
Internal Server Error